Retrieve hotelpage

Retrieve hotelpage

#b2b

https://api-sandbox.worldota.net/api/b2b/v3/search/hp/
https://api.worldota.net/api/b2b/v3/search/hp/
ℹ️
  • This call is required for the Recommended Flow (Prebook from Hotelpage).
  • Request this call only when the user has chosen the hotel.
  • Don’t request this call for each of the hotels found from the calls made by the SERP mechanism.

The call gets the hotel available rates. Show this information to the user when they have chosen the hotel and want to see the rates.

ℹ️

The limitations:

  • The recommended rate lifetime is 30 minutes.
  • The actual rate lifetime is longer and depends on different internal factors.

Sandbox limitations

⚠️
Use only field values, IDs, API keys, and any static content from the sandbox environment within the sandbox. Do not use sandbox data in test or production environments, and do not mix data or configuration between different environments.
  • The value of the language field is always set to en.
  • The value of the currency field is always set to USD.
  • The maximum number of items in hotels.rates is 5.
  • The following fields are not supported:
    • hotels.rates.payment_options.payment_types.cancellation_penalties.policies.commission_info.charge.amount_gross.
    • hotels.rates.payment_options.payment_types.cancellation_penalties.policies.commission_info.charge.amount_commission.

Request example

curl --user '<KEY_ID>:<API_KEY>' 'https://api-sandbox.worldota.net/api/b2b/v3/search/hp/' \
--header 'Content-Type: application/json' \
--data '{
  "checkin": "2026-05-25",
  "checkout": "2026-05-26",
  "residency": "us",
  "language": "en",
  "guests": [
      {
          "adults": 2,
          "children": []
      }
  ],
  "timeout": 8,
  "hid": 10004834,
  "currency": "EUR"
}'
curl --user '<KEY_ID>:<API_KEY>' 'https://api.worldota.net/api/b2b/v3/search/hp/' \
--header 'Content-Type: application/json' \
--data '{
  "checkin": "2026-05-25",
  "checkout": "2026-05-26",
  "residency": "us",
  "language": "en",
  "guests": [
      {
          "adults": 2,
          "children": []
      }
  ],
  "timeout": 8,
  "hid": 10004834,
  "currency": "EUR"
}'

Request body

Response

Response example

{
  "data": {
    "hotels": [
      {
        "id": "conrad_los_angeles",
        "hid": 10004834,
        "rates": [
          {
            "book_hash": "h-27749999-a084-5ca7-8035-31bcfeaa4a71",
            "match_hash": "m-c396459c-14bc-5bae-9232-862108880e14",
            "daily_prices": [
              "279.00"
            ],
            "meal": "nomeal",
            "meal_data": {
              "value": "nomeal",
              "has_breakfast": false,
              "no_child_meal": true
            },
            "payment_options": {
              "payment_types": [
                {
                  "amount": "25222.00",
                  "show_amount": "279.00",
                  "currency_code": "EUR",
                  "show_currency_code": "EUR",
                  "by": null,
                  "is_need_credit_card_data": false,
                  "is_need_cvc": false,
                  "type": "deposit",
                  "vat_data": {
                    "included": false,
                    "applied": false,
                    "amount": "0.00",
                    "currency_code": "USD",
                    "value": "0.00"
                  },
                  "tax_data": {
                    "taxes": [
                      {
                        "name": "occupancy_tax",
                        "included_by_supplier": true,
                        "amount": "38.48",
                        "currency_code": "EUR"
                      },
                      {
                        "name": "resort_fee",
                        "included_by_supplier": false,
                        "amount": "45.00",
                        "currency_code": "USD"
                      }
                    ]
                  },
                  "perks": {},
                  "commission_info": {
                    "show": {
                      "amount_gross": "279.00",
                      "amount_net": "279.00",
                      "amount_commission": "0.00"
                    },
                    "charge": {
                      "amount_gross": "25222.00",
                      "amount_net": "25222.00",
                      "amount_commission": "0.00"
                    }
                  },
                  "cancellation_penalties": {
                    "policies": [
                      {
                        "start_at": null,
                        "end_at": "2026-05-18T07:00:00",
                        "amount_charge": "0.00",
                        "amount_show": "0.00",
                        "commission_info": {
                          "show": {
                            "amount_gross": "0.00",
                            "amount_net": "0.00",
                            "amount_commission": "0.00"
                          },
                          "charge": {
                            "amount_gross": "0.00",
                            "amount_net": "0.00",
                            "amount_commission": "0.00"
                          }
                        }
                      },
                      {
                        "start_at": "2026-05-18T07:00:00",
                        "end_at": null,
                        "amount_charge": "25222.00",
                        "amount_show": "279.00",
                        "commission_info": {
                          "show": {
                            "amount_gross": "279.00",
                            "amount_net": "279.00",
                            "amount_commission": "0.00"
                          },
                          "charge": {
                            "amount_gross": "25222.00",
                            "amount_net": "25222.00",
                            "amount_commission": "0.00"
                          }
                        }
                      }
                    ],
                    "free_cancellation_before": "2026-05-18T07:00:00"
                  },
                  "recommended_price": null
                }
              ]
            },
            "bar_rate_price_data": {
              "amount": "381.50",
              "currency_code": "EUR"
            },
            "rg_ext": {
              "class": 3,
              "quality": 6,
              "sex": 0,
              "bathroom": 2,
              "bedding": 3,
              "family": 0,
              "capacity": 2,
              "club": 0,
              "bedrooms": 0,
              "balcony": 0,
              "view": 0,
              "floor": 0
            },
            "room_name": "Deluxe Double room (full double bed) (king size bed)",
            "room_name_info": {
              "original_rate_name": "Deluxe One King Bed"
            },
            "serp_filters": [
              "has_bathroom",
              "has_internet"
            ],
            "sell_price_limits": null,
            "allotment": 1,
            "amenities_data": [
              "non-smoking",
              "king-bed"
            ],
            "any_residency": false,
            "deposit": null,
            "no_show": null,
            "room_data_trans": {
              "main_room_type": "Deluxe Double room",
              "main_name": "Deluxe Double room",
              "bathroom": null,
              "bedding_type": "full double bed",
              "misc_room_type": "king size bed"
            },
            "legal_info": {
              "provider": {
                "name": "",
                "address": "",
                "taxpayer_number": "0000000000",
                "state_registration_number": "0000000000000"
              },
              "hotel": {
                "name": "Conrad Los Angeles",
                "address": "100 South Grand Avenue, Los Angeles",
                "taxpayer_number": "0000000000",
                "state_registration_number": "0000000000000",
                "work_time": "from 9-18 local time"
              }
            },
            "is_package": false
          },
          {
            "book_hash": "h-7e16d7a9-fe3c-5ba0-8aa1-0ea5b851afe7",
            "match_hash": "m-850df586-6e03-5044-ba4f-4f5d0d7e8651",
            "daily_prices": [
              "299.00"
            ],
            "meal": "nomeal",
            "meal_data": {
              "value": "nomeal",
              "has_breakfast": false,
              "no_child_meal": true
            },
            "payment_options": {
              "payment_types": [
                {
                  "amount": "27062.00",
                  "show_amount": "299.00",
                  "currency_code": "EUR",
                  "show_currency_code": "EUR",
                  "by": null,
                  "is_need_credit_card_data": false,
                  "is_need_cvc": false,
                  "type": "deposit",
                  "vat_data": {
                    "included": false,
                    "applied": false,
                    "amount": "0.00",
                    "currency_code": "USD",
                    "value": "0.00"
                  },
                  "tax_data": {
                    "taxes": [
                      {
                        "name": "occupancy_tax",
                        "included_by_supplier": true,
                        "amount": "41.24",
                        "currency_code": "EUR"
                      },
                      {
                        "name": "resort_fee",
                        "included_by_supplier": false,
                        "amount": "45.00",
                        "currency_code": "USD"
                      }
                    ]
                  },
                  "perks": {},
                  "commission_info": {
                    "show": {
                      "amount_gross": "299.00",
                      "amount_net": "299.00",
                      "amount_commission": "0.00"
                    },
                    "charge": {
                      "amount_gross": "27062.00",
                      "amount_net": "27062.00",
                      "amount_commission": "0.00"
                    }
                  },
                  "cancellation_penalties": {
                    "policies": [
                      {
                        "start_at": null,
                        "end_at": "2026-05-18T07:00:00",
                        "amount_charge": "0.00",
                        "amount_show": "0.00",
                        "commission_info": {
                          "show": {
                            "amount_gross": "0.00",
                            "amount_net": "0.00",
                            "amount_commission": "0.00"
                          },
                          "charge": {
                            "amount_gross": "0.00",
                            "amount_net": "0.00",
                            "amount_commission": "0.00"
                          }
                        }
                      },
                      {
                        "start_at": "2026-05-18T07:00:00",
                        "end_at": null,
                        "amount_charge": "27062.00",
                        "amount_show": "299.00",
                        "commission_info": {
                          "show": {
                            "amount_gross": "299.00",
                            "amount_net": "299.00",
                            "amount_commission": "0.00"
                          },
                          "charge": {
                            "amount_gross": "27062.00",
                            "amount_net": "27062.00",
                            "amount_commission": "0.00"
                          }
                        }
                      }
                    ],
                    "free_cancellation_before": "2026-05-18T07:00:00"
                  },
                  "recommended_price": null
                }
              ]
            },
            "bar_rate_price_data": {
              "amount": "390.00",
              "currency_code": "EUR"
            },
            "rg_ext": {
              "class": 3,
              "quality": 17,
              "sex": 0,
              "bathroom": 2,
              "bedding": 3,
              "family": 0,
              "capacity": 2,
              "club": 0,
              "bedrooms": 0,
              "balcony": 0,
              "view": 0,
              "floor": 0
            },
            "room_name": "Premium Double room (full double bed) (king size bed)",
            "room_name_info": {
              "original_rate_name": "Premium One King Bed"
            },
            "serp_filters": [
              "has_bathroom",
              "has_internet"
            ],
            "sell_price_limits": null,
            "allotment": 1,
            "amenities_data": [
              "king-bed",
              "non-smoking"
            ],
            "any_residency": false,
            "deposit": null,
            "no_show": null,
            "room_data_trans": {
              "main_room_type": "Premium Double room",
              "main_name": "Premium Double room",
              "bathroom": null,
              "bedding_type": "full double bed",
              "misc_room_type": "king size bed"
            },
            "legal_info": {
              "provider": {
                "name": "",
                "address": "",
                "taxpayer_number": "0000000000",
                "state_registration_number": "0000000000000"
              },
              "hotel": {
                "name": "Conrad Los Angeles",
                "address": "100 South Grand Avenue, Los Angeles",
                "taxpayer_number": "0000000000",
                "state_registration_number": "0000000000000",
                "work_time": "from 9-18 local time"
              }
            },
            "is_package": false
          },
          {
            "book_hash": "h-25c6ce92-aec7-5510-8882-ee3e97314635",
            "match_hash": "m-18293b97-0c61-5651-9c5f-b8077c703d35",
            "daily_prices": [
              "308.00"
            ],
            "meal": "nomeal",
            "meal_data": {
              "value": "nomeal",
              "has_breakfast": false,
              "no_child_meal": true
            },
            "payment_options": {
              "payment_types": [
                {
                  "amount": "27859.00",
                  "show_amount": "308.00",
                  "currency_code": "EUR",
                  "show_currency_code": "EUR",
                  "by": null,
                  "is_need_credit_card_data": false,
                  "is_need_cvc": false,
                  "type": "deposit",
                  "vat_data": {
                    "included": false,
                    "applied": false,
                    "amount": "0.00",
                    "currency_code": "USD",
                    "value": "0.00"
                  },
                  "tax_data": {
                    "taxes": [
                      {
                        "name": "occupancy_tax",
                        "included_by_supplier": true,
                        "amount": "42.48",
                        "currency_code": "EUR"
                      },
                      {
                        "name": "resort_fee",
                        "included_by_supplier": false,
                        "amount": "45.00",
                        "currency_code": "USD"
                      }
                    ]
                  },
                  "perks": {},
                  "commission_info": {
                    "show": {
                      "amount_gross": "308.00",
                      "amount_net": "308.00",
                      "amount_commission": "0.00"
                    },
                    "charge": {
                      "amount_gross": "27859.00",
                      "amount_net": "27859.00",
                      "amount_commission": "0.00"
                    }
                  },
                  "cancellation_penalties": {
                    "policies": [
                      {
                        "start_at": null,
                        "end_at": null,
                        "amount_charge": "27859.00",
                        "amount_show": "308.00",
                        "commission_info": {
                          "show": {
                            "amount_gross": "308.00",
                            "amount_net": "308.00",
                            "amount_commission": "0.00"
                          },
                          "charge": {
                            "amount_gross": "27859.00",
                            "amount_net": "27859.00",
                            "amount_commission": "0.00"
                          }
                        }
                      }
                    ],
                    "free_cancellation_before": null
                  },
                  "recommended_price": null
                }
              ]
            },
            "bar_rate_price_data": null,
            "rg_ext": {
              "class": 3,
              "quality": 17,
              "sex": 0,
              "bathroom": 2,
              "bedding": 0,
              "family": 0,
              "capacity": 0,
              "club": 0,
              "bedrooms": 0,
              "balcony": 0,
              "view": 0,
              "floor": 0
            },
            "room_name": "Premium room",
            "room_name_info": {
              "original_rate_name": "Premium King"
            },
            "serp_filters": [
              "has_bathroom",
              "has_internet"
            ],
            "sell_price_limits": null,
            "allotment": 1,
            "amenities_data": [
              "non-smoking"
            ],
            "any_residency": false,
            "deposit": null,
            "no_show": null,
            "room_data_trans": {
              "main_room_type": "Premium room",
              "main_name": "Premium room",
              "bathroom": null,
              "bedding_type": null,
              "misc_room_type": null
            },
            "legal_info": {
              "provider": {
                "name": "",
                "address": "",
                "taxpayer_number": "0000000000",
                "state_registration_number": "0000000000000"
              },
              "hotel": {
                "name": "Conrad Los Angeles",
                "address": "100 South Grand Avenue, Los Angeles",
                "taxpayer_number": "0000000000",
                "state_registration_number": "0000000000000",
                "work_time": "from 9-18 local time"
              }
            },
            "is_package": false
          }
        ],
        "bar_price_data": {
          "hotel": {
            "price": "381.50",
            "currency": "EUR"
          },
          "room_groups": [
            {
              "rg_ext": {
                "class": 5,
                "quality": 5,
                "sex": 0,
                "bathroom": 2,
                "bedding": 3,
                "family": 0,
                "capacity": 2,
                "club": 0,
                "bedrooms": 1,
                "balcony": 0,
                "view": 0,
                "floor": 0
              },
              "price": "525.95",
              "currency": "EUR"
            },
            {
              "rg_ext": {
                "class": 3,
                "quality": 17,
                "sex": 0,
                "bathroom": 2,
                "bedding": 0,
                "family": 0,
                "capacity": 0,
                "club": 0,
                "bedrooms": 0,
                "balcony": 0,
                "view": 0,
                "floor": 0
              },
              "price": "402.75",
              "currency": "EUR"
            },
            {
              "rg_ext": {
                "class": 3,
                "quality": 6,
                "sex": 0,
                "bathroom": 2,
                "bedding": 0,
                "family": 0,
                "capacity": 0,
                "club": 0,
                "bedrooms": 0,
                "balcony": 0,
                "view": 0,
                "floor": 0
              },
              "price": "400.00",
              "currency": "EUR"
            }
          ]
        }
      }
    ]
  },
  "debug": {
    "api_endpoint": {
      "endpoint": "api/b2b/v3/search/hp",
      "is_active": true,
      "is_limited": true,
      "remaining": 8,
      "requests_number": 10,
      "reset": "2026-01-16T12:26:00",
      "seconds_number": 60
    },
    "request": {
      "checkin": "2026-05-25",
      "checkout": "2026-05-26",
      "residency": "us",
      "language": "en",
      "guests": [
        {
          "adults": 2,
          "children": []
        }
      ],
      "timeout": 8,
      "hid": 10004834,
      "currency": "EUR"
    },
    "method": "POST",
    "real_ip": "104.30.161.77",
    "request_id": "d48827dac70d18aeaf9f8f6c5ea22bbd",
    "key_id": 1234,
    "api_key_id": 1234,
    "utcnow": "2026-01-16T12:25:22.033176"
  },
  "status": "ok",
  "error": null
}

Errors

The error field has the value specified in the headers below.

invalid_params

The request body is invalid.

core_search_error

An internal search error. Has 500 status code.